<?php
/*

//////////////////////////////////////////////
//  ACCESO A FICHERO REMOTO EN FORMATO csv  //
//            Calidad del aire              //
//////////////////////////////////////////////

$fichero="http://opendata.euskadi.eus/contenidos/ds_informes_estudios/calidad_aire_2015/es_def/adjuntos/estaciones.csv";

// Abrimos el fichero para leer 
$f = fopen($fichero, "r") or exit("No puedo abrir el fichero");
echo "<h1>Fichero CSV abierto</h1>";

// La primera linea contiene los titulos de las columnas (nombres de los campos)
$titulos=fgets($f);

// Como es csv, los campos están separados por ; Los corto (split) con explode()
$numcampos=0;
$campos=explode(";",$titulos);
// Los voy leyendo y mostrando
echo "<h2>Campos existentes en el fichero</h2>";
foreach($campos as $indice=>$valor){
	echo $indice," -> ",$valor,"<br>";
	$numcampos++;
}


echo "<h2>Datos</h2>";
// Cabecera
echo "<table border=1>";
echo "<tr>";
for($i=0;$i<$numcampos;$i++) echo "<th>",$i,"</th>";
echo "</tr>";
// Leo linea a linea y lo rompo en trozos
while (( $registro = fgetcsv ( $f , 1000 , ";" )) !== FALSE ){ 
	echo "<tr>";
	for($i=0;$i<$numcampos;$i++){
		echo "<td>",$registro[$i],"</td>";
	}
	echo "</tr>";
}
echo "</table>";

// Cerrando el fichero
fclose($f);
echo "<h1>Fichero CSV cerrado</h1>";

*/

//////////////////////////////////////////////
//  ACCESO A FICHERO REMOTO EN FORMATO xls  //
//             restaurantes.xls             //
//////////////////////////////////////////////
// Documentacion en https://code.google.com/p/php-excel-reader/wiki/Documentation

error_reporting(E_ALL ^ E_NOTICE);
require_once 'lee_xls.php';

// $fichero1 es el fichero remoto, $fichero es la copia en local
$fichero1="http://opendata.euskadi.eus/contenidos/ds_recursos_turisticos/restaurantes_sidrerias_bodegas/opendata/restaurantes.xls";
$fichero="restaurantes.xls";

// Esta funcion permite obtener el tamaño de un fichero remoto -> no vale filesize()
function getRemoteFileSize($url) {
	$info = get_headers($url,1);
	if (is_array($info['Content-Length'])) {
		$info = end($info['Content-Length']);
	}else {
		$info = $info['Content-Length'];
	}
 	return $info;
}

// Si los tamaños son distintos, se copia el fichero remoto al local. OJO A LOS PERMISOS DE ESCRITURA
if (filesize($fichero)<>getRemoteFileSize($fichero1)){
	echo "Los datos del fichero remoto han variado...";
	if (!copy($fichero1, $fichero)) echo " -> Error al copiar $fichero <-";
	else echo "ACTUALIZADOS<br>";
} else {
	echo "Los datos del fichero local estan actualizados";
}

// Abrimos el fichero
$data = new Spreadsheet_Excel_Reader($fichero);
echo "<h1>Fichero XLS abierto</h1>";

echo "<h2>Datos</h2> ";

echo "<table border=1><tr><th>Restaurante</th><th>Direccion</th><th>Localidad</th></tr>";
for($i=2;$i<30;$i++){
	// Los datos (fila,columna) empezando por (1,1)=(1,A)
	$restaurante=$data->value($i,'A');
	$direccion=$data->value($i,'F');
	$localidad=$data->value($i,'O');
	echo "<tr><td>",$restaurante,"</td><td>",$direccion,"</td><td>",$localidad,"</td></tr>";
}
echo "</table>";

echo "<h1>Fichero acabado</h1>";

?>